ServerEvents.recipes(event => {
    event.remove({ output: 'mekanism:steel_casing' })
    event.shaped(
        Item.of('mekanism:steel_casing'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: '#forge:ingots/steel',
            B: '#forge:ingots/osmium',
            C: 'immersiveengineering:blastbrick_reinforced',
            D: 'industrialforegoing:machine_frame_pity'
        }
    )
    event.remove({ output: 'mekanism:metallurgic_infuser' })
    event.shaped(
        Item.of('mekanism:metallurgic_infuser'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: 'ars_nouveau:imbuement_chamber',
            C: 'thermal_extra:polyolefin_plate',
            D: 'mekanism:steel_casing',
            E: 'immersiveengineering:logic_circuit',
            F: 'minecraft:furnace'
        }
    )
    event.remove({ output: 'mekanism:chemical_injection_chamber' })
    event.shaped(
        Item.of('mekanism:chemical_injection_chamber'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: 'create:spout',
            C: 'thermal_extra:polyolefin_plate',
            D: 'mekanism:steel_casing',
            E: 'immersiveengineering:logic_circuit',
            F: 'minecraft:furnace'
        }
    )
    event.remove({ output: 'mekanism:rotary_condensentrator' })
    event.shaped(
        Item.of('mekanism:rotary_condensentrator'),
        [
            'ABA',
            'CDG',
            'EFE'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: 'immersiveengineering:furnace_heater',
            C: 'mekanism:basic_chemical_tank',
            D: 'mekanism:steel_casing',
            E: 'immersiveengineering:logic_circuit',
            F: 'minecraft:furnace',
            G: 'mekanism:basic_fluid_tank'
        }
    )
    event.remove({ output: 'mekanism:pigment_extractor' })
    event.shaped(
        Item.of('mekanism:pigment_extractor'),
        [
            'ABA',
            'CDG',
            'EFE'
        ],
        {
            A: 'kubejs:ether_ingot',
            B: 'industrialforegoing:dissolution_chamber',
            C: 'minecraft:flint',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'minecraft:furnace',
            G: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekanism:painting_machine' })
    event.shaped(
        Item.of('mekanism:painting_machine'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'kubejs:ether_ingot',
            B: 'create:spout',
            C: 'mekanism:dye_base',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekanism:pigment_mixer' })
    event.shaped(
        Item.of('mekanism:pigment_mixer'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'kubejs:ether_ingot',
            B: 'create:mechanical_mixer',
            C: 'mekanism:basic_chemical_tank',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'mekanism:dye_base'
        }
    )
    event.remove({ output: 'mekanism:combiner' })
    event.shaped(
        Item.of('mekanism:combiner'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'kubejs:ether_ingot',
            B: 'minecraft:furnace',
            C: 'minecraft:cobblestone',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'minecraft:furnace'
        }
    )
    event.remove({ output: 'mekanismelements:adsorption_separator' })
    event.shaped(
        Item.of('mekanismelements:adsorption_separator'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'industrialforegoing:pink_slime_ingot',
            B: 'mekanismelements:high_performance_adsorbent',
            C: 'minecraft:iron_bars',
            D: 'mekanism:steel_casing',
            E: 'mekanism:elite_control_circuit',
            F: 'mekanism:basic_fluid_tank'
        }
    )
    event.remove({ output: 'mekanism:chemical_washer' })
    event.shaped(
        Item.of('mekanism:chemical_washer'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'industrialforegoing:pink_slime_ingot',
            B: 'mekanism:basic_fluid_tank',
            C: 'mekanism:dust_refined_obsidian',
            D: 'mekanism:steel_casing',
            E: 'mekanism:ultimate_control_circuit',
            F: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekanism:chemical_crystallizer' })
    event.shaped(
        Item.of('mekanism:chemical_crystallizer'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'industrialforegoing:pink_slime_ingot',
            B: '#mekanism:personal_storage',
            C: 'mekanism:fluorite_gem',
            D: 'mekanism:steel_casing',
            E: 'mekanism:ultimate_control_circuit',
            F: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekanism:pressurized_reaction_chamber' })
    event.shaped(
        Item.of('mekanism:pressurized_reaction_chamber'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: '#forge:ingots/steel',
            B: 'advanced_ae:reaction_chamber',
            C: 'mekanism:basic_chemical_tank',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'mekanism:dynamic_tank'
        }
    )
    event.remove({ output: 'mekanism:electrolytic_separator' })
    event.shaped(
        Item.of('mekanism:electrolytic_separator'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: '#forge:ingots/steel',
            B: 'mekanism:electrolytic_core',
            C: 'mekanism:basic_chemical_tank',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'mekanism:alloy_infused'
        }
    )
    event.remove({ output: 'mekanism:crusher' })
    event.shaped(
        Item.of('mekanism:crusher'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: '#forge:ingots/steel',
            B: [
                'thermal:machine_pulverizer',
                'create:crushing_wheel',
                'create:millstone'
            ],
            C: 'minecraft:lava_bucket',
            D: 'mekanism:steel_casing',
            E: 'mekanism:advanced_control_circuit',
            F: 'minecraft:redstone'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: '#forge:string',
            B: 'thermal:beekeeper_fabric',
            C: 'thermal:rubber',
            D: 'mekanism:dust_charcoal'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_copper' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_copper'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: 'minecraft:copper_ingot',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_gold' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_gold'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: 'minecraft:gold_ingot',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_iron' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_iron'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: 'minecraft:iron_ingot',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_lead' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_lead'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/lead',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_osmium' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_osmium'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/osmium',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_tin' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_tin'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/tin',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_uranium' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_uranium'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/uranium',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanismelements:high_performance_adsorbent_beryllium' })
    event.shaped(
        Item.of('mekanismelements:high_performance_adsorbent_beryllium'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: [
                'mekanismelements:beryllium_bucket',
                'minecraft:emerald'
            ],
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.remove({ output: 'mekanism:chemical_dissolution_chamber' })
    event.shaped(
        Item.of('mekanism:chemical_dissolution_chamber'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: '#forge:ingots/osmium',
            B: 'industrialforegoing:dissolution_chamber',
            C: 'minecraft:bucket',
            D: 'mekanism:steel_casing',
            E: 'mekanism:ultimate_control_circuit',
            F: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekmm:recycler' })
    event.shaped(
        Item.of('mekmm:recycler'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: '#forge:ingots/osmium',
            B: 'create:millstone',
            C: 'thermal_extra:paraffin_wax',
            D: 'mekanism:steel_casing',
            E: 'mekanism:advanced_control_circuit',
            F: '@trashcans'
        }
    )
    event.remove({ output: 'mekmm:ambient_gas_collector' })
    event.shaped(
        Item.of('mekmm:ambient_gas_collector'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'thermal_extra:paraffin_wax',
            B: 'industrialforegoing:fluid_laser_base',
            C: 'mekanism:ultimate_chemical_tank',
            D: 'mekanism:steel_casing',
            E: 'mekanism:advanced_control_circuit',
            F: 'mekanism:ultimate_pressurized_tube'
        }
    )
    event.remove({ output: 'mekmm:replicator' })
    event.shaped(
        Item.of('mekmm:replicator'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'mekanism:alloy_atomic',
            B: 'mekmm:uu_matter',
            C: 'thermal_extra:paraffin_wax',
            D: 'mekanism:steel_casing',
            E: 'mekanism:ultimate_control_circuit',
            F: '#mekanism:personal_storage'
        }
    )
    event.remove({ output: 'mekmm:fluid_replicator' })
    event.shaped(
        Item.of('mekmm:fluid_replicator'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'mekanism:alloy_atomic',
            B: 'mekmm:uu_matter',
            C: 'thermal_extra:paraffin_wax',
            D: 'mekanism:steel_casing',
            E: 'mekanism:ultimate_control_circuit',
            F: 'minecraft:bucket'
        }
    )
    event.remove({ output: 'mekanism:chemical_oxidizer' })
    event.shaped(
        Item.of('mekanism:chemical_oxidizer'),
        [
            'ABA',
            'CDG',
            'EFE'
        ],
        {
            A: 'mekanism:alloy_infused',
            B: 'thermal_extra:paraffin_wax',
            C: '#mekanism:personal_storage',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'mekanism:dynamic_tank',
            G: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekmm:planting_station' })
    event.shaped(
        Item.of('mekmm:planting_station'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'mekanism:alloy_reinforced',
            B: 'minecraft:dirt',
            C: 'thermal_extra:paraffin_wax',
            D: 'mekanism:steel_casing',
            E: 'mekanism:elite_control_circuit',
            F: 'mekanism:bio_fuel'
        }
    )
    event.remove({ output: 'mekanism:nutritional_liquifier' })
    event.shaped(
        Item.of('mekanism:nutritional_liquifier'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'minecraft:redstone',
            B: 'minecraft:dirt',
            C: 'thermal_extra:paraffin_wax',
            D: 'mekanism:steel_casing',
            E: 'mekanism:basic_control_circuit',
            F: 'minecraft:bowl'
        }
    )
    event.remove({ output: 'mekanism:thermal_evaporation_block' })
    event.shaped(
        Item.of('mekanism:thermal_evaporation_block', 6),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: '#forge:ingots/steel',
            B: 'minecraft:copper_ingot',
            C: 'thermal:fluid_cell_frame'
        }
    )
    event.remove({ output: 'mekanism:thermal_evaporation_controller' })
    event.shaped(
        Item.of('mekanism:thermal_evaporation_controller'),
        [
            'ABA',
            'CDC',
            'CEC'
        ],
        {
            A: 'mekanism_extras:supreme_control_circuit',
            B: 'ae2:storage_monitor',
            C: 'mekanism:thermal_evaporation_block',
            D: 'mekanism:basic_fluid_tank',
            E: 'ae2:controller'
        }
    )
    event.remove({ output: 'mekanism:thermal_evaporation_valve' })
    event.shaped(
        Item.of('mekanism:thermal_evaporation_valve'),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: 'create:fluid_valve',
            B: 'mekanism_extras:supreme_control_circuit',
            C: 'mekanism:thermal_evaporation_block'
        }
    )
    event.remove({ output: 'mekanism:enrichment_chamber' })
    event.shaped(
        Item.of('mekanism:enrichment_chamber'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'naturesaura:infused_iron',
            B: 'thermal:machine_press',
            C: 'thermal_extra:polyolefin_plate',
            D: 'mekanism:steel_casing',
            E: 'mekanism_extras:supreme_control_circuit',
            F: '#mekanism:personal_storage'
        }
    )
    event.remove({ output: 'mekanism:chemical_infuser' })
    event.shaped(
        Item.of('mekanism:chemical_infuser'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'industrialforegoing:plastic',
            B: 'create:mechanical_mixer',
            C: 'mekanism:basic_chemical_tank',
            D: 'mekanism:steel_casing',
            E: 'mekanism_extras:absolute_control_circuit',
            F: 'mekanism:dynamic_tank'
        }
    )
    event.remove({ output: 'mekanism:dynamic_tank' })
    event.shaped(
        Item.of('mekanism:dynamic_tank', 2),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: '#forge:ingots/steel',
            B: 'create:fluid_tank'
        }
    )
    event.shaped(
        Item.of('mekanism:dynamic_tank', 6),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: '#forge:ingots/steel',
            B: 'thermal:fluid_cell_frame'
        }
    )
    event.remove({ output: 'mekanism:osmium_compressor' })
    event.shaped(
        Item.of('mekanism:osmium_compressor'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: '#forge:ingots/osmium',
            B: 'create:mechanical_press',
            C: 'mekanism:hdpe_sheet',
            D: 'mekanism:steel_casing',
            E: 'mekanism_extras:supreme_control_circuit',
            F: 'minecraft:bucket'
        }
    )
    event.remove({ output: 'mekanism:robit' })
    event.shaped(
        Item.of('mekanism:robit'),
        [
            ' A ',
            'BCB',
            'DED'
        ],
        {
            A: '#forge:ingots/steel',
            B: 'mekanism:energy_tablet',
            C: '#mekanism:personal_storage',
            D: 'mekanism:ingot_refined_obsidian',
            E: 'mekanism:basic_induction_provider'
        }
    )
    event.remove({ output: 'mekanism:isotopic_centrifuge' })
    event.shaped(
        Item.of('mekanism:isotopic_centrifuge'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'botanicalextramachinery:saffron_ingot',
            B: 'thermal:machine_centrifuge',
            C: 'mekanism:hdpe_sheet',
            D: 'mekanism:steel_casing',
            E: 'mekanism_extras:supreme_control_circuit',
            F: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekanismgenerators:fission_reactor_casing' })
    event.shaped(
        Item.of('mekanismgenerators:fission_reactor_casing', 6),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#forge:ingots/lead',
            B: 'botanicalextramachinery:shadow_ingot',
            C: '#mekanismelements:concrete',
            D: 'mekanism:steel_casing',
            E: 'immersiveengineering:concrete_leaded'
        }
    )
    event.remove({ output: 'mekanismgenerators:fission_reactor_port' })
    event.shaped(
        Item.of('mekanismgenerators:fission_reactor_port'),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: 'create:fluid_valve',
            B: 'mekanism_extras:supreme_control_circuit',
            C: 'mekanismgenerators:fission_reactor_casing'
        }
    )
    event.remove({ output: 'mekanismgenerators:fission_fuel_assembly' })
    event.shaped(
        Item.of('mekanismgenerators:fission_fuel_assembly'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: '#forge:ingots/lead',
            B: 'mekanismelements:beryllium_bucket',
            C: 'kubejs:fuel_rod',
            D: 'mekanism:basic_chemical_tank'
        }
    )
    event.remove({ output: 'mekanismgenerators:control_rod_assembly' })
    event.shaped(
        Item.of('mekanismgenerators:control_rod_assembly'),
        [
            'ABA',
            'AEA',
            'CDC'
        ],
        {
            A: '#forge:ingots/silver',
            B: 'mekanism_extras:supreme_control_circuit',
            C: 'immersiveengineering:ingot_hop_graphite',
            D: '#forge:ingots/steel',
            E: 'create:mechanical_piston'
        }
    )
    event.remove({ output: 'mekanismelements:radiation_irradiator' })
    event.shaped(
        Item.of('mekanismelements:radiation_irradiator'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#mekanismelements:concrete',
            B: 'mekanism:laser',
            C: 'mekanism_extras:cosmic_control_circuit',
            D: 'mekanism:steel_casing',
            E: 'kubejs:phototube'
        }
    )
    event.remove({ output: 'mekanism:laser' })
    event.shaped(
        Item.of('mekanism:laser'),
        [
            'AB ',
            'CDE',
            'AB '
        ],
        {
            A: 'mekanism:alloy_reinforced',
            B: 'mekanism:energy_tablet',
            C: 'minecraft:diamond',
            D: 'mekanism:steel_casing',
            E: 'thermal:sapphire'
        }
    )
    event.remove({ output: 'mekanismgenerators:heat_generator' })
    event.shaped(
        Item.of('mekanismgenerators:heat_generator'),
        [
            'AAA',
            'BCB',
            'DED'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: '#minecraft:planks',
            C: '#forge:ingots/osmium',
            D: 'minecraft:copper_ingot',
            E: 'immersiveengineering:generator'
        }
    )
    event.remove({ output: 'mekanismgenerators:solar_panel' })
    event.shaped(
        Item.of('mekanismgenerators:solar_panel'),
        [
            'AAA',
            'BCB',
            'DDD'
        ],
        {
            A: '#forge:glass_panes',
            B: 'mekanism:alloy_infused',
            C: 'powah:photoelectric_pane',
            D: 'mekanism:ingot_osmium'
        }
    )
    event.remove({ output: 'mekanism:quantum_entangloporter' })
    event.shaped(
        Item.of('mekanism:quantum_entangloporter'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: 'forbidden_arcanus:obsidian_ingot',
            B: [
                'mekanism:teleportation_core',
                'kubejs:world_core'
            ],
            C: 'mekanism:alloy_atomic',
            D: 'mekanism:steel_casing',
            E: 'mekanism:ultimate_control_circuit'
        }
    )
    event.remove({ output: 'mekanism:solar_neutron_activator' })
    event.shaped(
        Item.of('mekanism:solar_neutron_activator'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'mekanism:alloy_reinforced',
            B: 'mekanismgenerators:advanced_solar_generator',
            C: 'mekanism:hdpe_sheet',
            D: 'mekanism:steel_casing',
            E: 'mekanism_extras:cosmic_control_circuit',
            F: 'thermal:bronze_ingot'
        }
    )
    event.remove({ output: 'mekanismgenerators:laser_focus_matrix' })
    event.shaped(
        Item.of('mekanismgenerators:laser_focus_matrix'),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: 'mekanismgenerators:reactor_glass',
            B: 'magichem:glass_lens'
        }
    )
    event.remove({ output: 'mekanism_extras:lead_coated_laser_focus_matrix' })
    event.shaped(
        Item.of('mekanism_extras:lead_coated_laser_focus_matrix'),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: 'mekanism_extras:lead_coated_glass',
            B: 'magichem:glass_lens'
        }
    )
    event.remove({ output: 'mekanismelements:air_compressor' })
    event.shaped(
        Item.of('mekanismelements:air_compressor'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'mekanism:alloy_infused',
            B: 'mekanism:basic_chemical_tank',
            C: '#forge:ingots/invar',
            D: 'mekanism:steel_casing',
            E: 'mekanism:advanced_control_circuit',
            F: 'create:propeller'
        }
    )
    event.remove({ output: 'mekanism_extras:naquadah_reactor_port' })
    event.shaped(
        Item.of('mekanism_extras:naquadah_reactor_port'),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: 'create:fluid_valve',
            B: 'mekanism_extras:cosmic_control_circuit',
            C: 'mekanism_extras:naquadah_reactor_casing'
        }
    )
    event.remove({ output: 'mekanism:sps_port' })
    event.shaped(
        Item.of('mekanism:sps_port'),
        [
            ' A ',
            'BCB',
            ' A '
        ],
        {
            A: 'create:fluid_valve',
            B: 'mekanism_extras:infinite_control_circuit',
            C: 'mekanism:sps_casing'
        }
    )
    event.remove({ output: 'mekanism:supercharged_coil' })
    event.shaped(
        Item.of('mekanism:supercharged_coil'),
        [
            'AAA',
            'BCB',
            'DED'
        ],
        {
            A: 'immersiveengineering:coil_lv',
            B: 'mekanism_extras:infinite_control_circuit',
            C: 'mekanism:laser',
            D: 'mekanism:pellet_polonium',
            E: 'mekanism:steel_casing'
        }
    )
    event.remove({ output: 'mekanism_extras:naquadah_reactor_casing' })
    event.shaped(
        Item.of('mekanism_extras:naquadah_reactor_casing', 4),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: '#forge:ingots/lead',
            B: 'mekanism_extras:ingot_naquadah',
            C: 'mekanism_extras:alloy_shining',
            D: 'mekanismgenerators:fusion_reactor_frame'
        }
    )
    event.remove({ output: 'mekanism_extras:naquadah_reactor_controller' })
    event.shaped(
        Item.of('mekanism_extras:naquadah_reactor_controller'),
        [
            'ABA',
            'CDC',
            'CEC'
        ],
        {
            A: 'mekanism_extras:cosmic_control_circuit',
            B: 'ae2:storage_monitor',
            C: 'mekanism_extras:naquadah_reactor_casing',
            D: 'mekanism_extras:cosmic_chemical_tank',
            E: 'ae2:controller'
        }
    )
    event.remove({ output: 'mekanism:configurator' })
    event.shaped(
        Item.of('mekanism:configurator'),
        [
            'AA',
            ' B',
            ' C'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: '#forge:ingots/osmium',
            C: 'thermal:steel_ingot'
        }
    )
})